> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List SIM card data usage notifications

> Lists a paginated collection of SIM card data usage notifications. It enables exploring the collection using specific filters.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/wireless/sim-cards-configuration.yml get /sim_card_data_usage_notifications
openapi: 3.1.0
info:
  title: SIM Cards Configuration API
  version: 2.0.0
  description: >-
    Network configuration for SIM cards including public IP management, private
    wireless gateways, blocklists, traffic policy profiles, and data usage
    notifications.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /sim_card_data_usage_notifications:
    get:
      tags:
        - SIM Cards
      summary: List SIM card data usage notifications
      description: >-
        Lists a paginated collection of SIM card data usage notifications. It
        enables exploring the collection using specific filters.
      operationId: ListDataUsageNotifications
      parameters:
        - $ref: '#/components/parameters/wireless_PageNumber'
        - $ref: '#/components/parameters/wireless_PageSize'
        - $ref: '#/components/parameters/FilterSIMCardId'
      responses:
        '200':
          $ref: >-
            #/components/responses/SimCardDataUsageNotificationCollectionResponse
        '401':
          description: Unauthorized
        default:
          $ref: '#/components/responses/wireless_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const simCardDataUsageNotification of
            client.simCardDataUsageNotifications.list()) {
              console.log(simCardDataUsageNotification.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.sim_card_data_usage_notifications.list()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.SimCardDataUsageNotifications.List(context.TODO(), telnyx.SimCardDataUsageNotificationListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.simcarddatausagenotifications.SimCardDataUsageNotificationListPage;

            import
            com.telnyx.sdk.models.simcarddatausagenotifications.SimCardDataUsageNotificationListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    SimCardDataUsageNotificationListPage page = client.simCardDataUsageNotifications().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.sim_card_data_usage_notifications.list

            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->simCardDataUsageNotifications->list(
                filterSimCardID: '47a1c2b0-cc7b-4ab1-bb98-b33fb0fc61b9',
                pageNumber: 1,
                pageSize: 1,
              );

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx sim-card-data-usage-notifications list \
              --api-key 'My API Key'
components:
  parameters:
    wireless_PageNumber:
      name: page[number]
      in: query
      description: The page number to load.
      schema:
        type: integer
        minimum: 1
        default: 1
    wireless_PageSize:
      name: page[size]
      in: query
      description: The size of the page.
      schema:
        type: integer
        minimum: 1
        maximum: 250
        default: 20
    FilterSIMCardId:
      name: filter[sim_card_id]
      description: A valid SIM card ID.
      schema:
        format: uuid
        type: string
        example: 47a1c2b0-cc7b-4ab1-bb98-b33fb0fc61b9
      in: query
  responses:
    SimCardDataUsageNotificationCollectionResponse:
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/SimCardDataUsageNotification'
              meta:
                $ref: '#/components/schemas/PaginationMeta'
      description: Successful Response
    wireless_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/wireless_Errors'
  schemas:
    SimCardDataUsageNotification:
      type: object
      description: The SIM card individual data usage notification information.
      properties:
        id:
          type: string
          format: uuid
          description: Identifies the resource.
          readOnly: true
          example: 79228acc-3f08-4e70-ac68-cb5aae8b537a
        sim_card_id:
          type: string
          format: uuid
          description: The identification UUID of the related SIM card resource.
          example: b34c1683-cd85-4493-b9a5-315eb4bc5e19
        record_type:
          type: string
          example: sim_card_data_usage_notification
          readOnly: true
        threshold:
          type: object
          description: Data usage threshold that will trigger the notification.
          properties:
            amount:
              type: string
              example: '2048.1'
            unit:
              type: string
              example: MB
              enum:
                - MB
                - GB
        created_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was
            created.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
        updated_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was
            updated.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
      example:
        id: 79228acc-3f08-4e70-ac68-cb5aae8b537a
        sim_card_id: b34c1683-cd85-4493-b9a5-315eb4bc5e19
        threshold:
          amount: '2048.0'
          unit: MB
        created_at: '2018-02-02T22:25:27.521Z'
        updated_at: '2018-02-02T22:25:27.521Z'
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    wireless_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/wireless_Error'
      type: object
    wireless_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````